package org.integratedmodelling.thinklab.script

import org.integratedmodelling.api.knowledge.IObservation
import org.integratedmodelling.api.modelling.scheduling.ITransition

abstract class Observation {

    IObservation obs;
    String name;
    Binding binding;
    
    def Observation(IObservation observation, Binding binding) {
        this.obs = observation;
        this.binding = binding;
    }
    
    def named(String name) {
        this.name = name;
    }
    
    /*
     * internal use
     */
    protected ITransition getTransition() {
        if (binding.hasVariable('_transition')) {
            return binding.getVariable('_transition');
        }
        return null;
    }
    
}
